Package org.apache.felix.http.javaxwrappers

# Class AsyncListenerWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.AsyncListenerWrapper

All Implemented Interfaces:
  `EventListener`, `javax.servlet.AsyncListener`

public class AsyncListenerWrapper extends Object implements javax.servlet.AsyncListener
Async listener wrapper

## Constructor Summary

Constructors
Constructor
Description
`AsyncListenerWrapper(@NotNull jakarta.servlet.AsyncListener c)`
Create new listener

## Method Summary

Modifier and Type
Method
Description
`void`
`onComplete(javax.servlet.AsyncEvent event)`
`void`
`onError(javax.servlet.AsyncEvent event)`
`void`
`onStartAsync(javax.servlet.AsyncEvent event)`
`void`
`onTimeout(javax.servlet.AsyncEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncListenerWrapper

public AsyncListenerWrapper(@NotNull @NotNull jakarta.servlet.AsyncListener c)
Create new listener

Parameters:
  `c` - Wrapped listener

## Method Details

### onComplete

public void onComplete(javax.servlet.AsyncEvent event) throws IOException

Specified by:
  `onComplete` in interface `javax.servlet.AsyncListener`
Throws:
  `IOException`

### onTimeout

public void onTimeout(javax.servlet.AsyncEvent event) throws IOException

Specified by:
  `onTimeout` in interface `javax.servlet.AsyncListener`
Throws:
  `IOException`

### onError

public void onError(javax.servlet.AsyncEvent event) throws IOException

Specified by:
  `onError` in interface `javax.servlet.AsyncListener`
Throws:
  `IOException`

### onStartAsync

public void onStartAsync(javax.servlet.AsyncEvent event) throws IOException

Specified by:
  `onStartAsync` in interface `javax.servlet.AsyncListener`
Throws:
  `IOException`